%define upstream_name	 App-CLI
%define upstream_version 0.52

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Dispatcher module for command line interface programs 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(Getopt::Long) >= 2.350.0
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Pod::Simple::Text)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Kwalitee)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
App::CLI dispatches CLI (command line interface) based commands into command 
classes. It also supports subcommand and per-command options.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's/auto_install\(\)\;//' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/App
%{_mandir}/man3/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.520.0-3.mga10
+ Revision: 2206723
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.520.0-2.mga9
+ Revision: 1813754
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 tv <tv> 0.520.0-1.mga8
+ Revision: 1657963
- update to 0.52

* Wed Feb 12 2020 umeabot <umeabot> 0.500.0-3.mga8
+ Revision: 1503457
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.500.0-2.mga7
+ Revision: 1281621
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 shlomif <shlomif> 0.500.0-1.mga7
+ Revision: 1241595
- update to 0.50

* Sun Dec 10 2017 shlomif <shlomif> 0.490.0-1.mga7
+ Revision: 1181950
- update to 0.49

* Mon Oct 02 2017 tv <tv> 0.450.0-2.mga7
+ Revision: 1162991
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 guillomovitch <guillomovitch> 0.450.0-1.mga7
+ Revision: 1155370
- new version 0.45

* Sat Jun 18 2016 pterjan <pterjan> 0.313.0-9.mga6
+ Revision: 1022536
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.313.0-8.mga6
+ Revision: 931301
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.313.0-7.mga5
+ Revision: 742314
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.313.0-6.mga5
+ Revision: 731826
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 0.313.0-5.mga5
+ Revision: 683509
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.313.0-4.mga4
+ Revision: 509145
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.313.0-3.mga3
+ Revision: 363063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.313.0-2.mga1
+ Revision: 36859
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.313.0-1.mga1
+ Revision: 34880
- mageia rebuild
- imported package perl-App-CLI


* Mon Dec 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.313.0-1mdv2011.0
+ Revision: 612043
- update to new version 0.313

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.310.0-1mdv2011.0
+ Revision: 601858
- update to new version 0.31

* Mon Nov 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.103.0-1mdv2011.0
+ Revision: 595071
- update to new version 0.103

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2011.0
+ Revision: 405955
- rebuild using %%perl_convert_version

* Fri Feb 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2009.1
+ Revision: 345429
- update to new version 0.08

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.07-3mdv2009.0
+ Revision: 255317
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.07-1mdv2008.1
+ Revision: 136658
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 29 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.07-1mdv2008.0
+ Revision: 19182
-New version


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.06-1mdv2007.0
+ Revision: 73273
- import perl-App-CLI-0.06-1mdv2007.0

* Sun Jul 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2007.0
- New version 0.06

* Thu Jun 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdk
- New release 0.05

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdk
- New release 0.04
- spec cleanup
- better source URL
- better URL
- better buildrequires syntax

* Fri Jan 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.03-3mdk
- rebuild

* Thu Jan 19 2006 Michael Scherer <misc@mandriva.org> 0.03-2mdk
- Remove autoinstaller ( filling lbd system disk )
- fix BuildRequires

* Wed Jan 04 2006 Michael Scherer <misc@mandriva.org> 0.03-1mdk
- New release 0.03

* Wed Dec 28 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.02-3mdk
- Add BuildRequires

* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 0.02-2mdk
- Do not ship empty dir

* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 0.02-1mdk
- New release 0.02

* Thu Sep 22 2005 Michael Scherer <misc@mandriva.org> 0.01-1mdk
- First mandriva package

